<app-flat-box [title]="'Connexion'">
    <div style="display: grid; grid-template-columns: 1fr 1fr; gap: 6px">
        <div class="flex justify-center items-center max-h-[400px] overflow-auto ">
            <div class="w-[80%]"><img src="/assets/undraw_world.svg" alt="Le monde" /></div>
        </div>
        <div class="flex flex-col justify-center items-center gap-6 h-full">
            <form [formGroup]="loginForm" class="flex flex-col gap-4">
                <app-text-input
                    [type]="'email'"
                    [formControlName]="'email'"
                    [placeholder]="'Adresse e-mail'"
                    [isError]="false"
                    [guestForm]="loginForm"
                />
                <app-text-input
                    [type]="'password'"
                    [formControlName]="'password'"
                    [placeholder]="'Mot de passe'"
                    [isError]="false"
                    [guestForm]="loginForm"
                />
                <app-main-button
                    [label]="'Connectez-vous'"
                    [isDisabled]="false"
                    [isLoading]="false"
                    (onClick)="onSubmit()"
                />
            </form>
            @if (error !== undefined) {
                <p class="text-red-500 font-semibold">{{ error }}</p>
            }
        </div>
    </div>
</app-flat-box>